### Constructor

# GUPnP ControlPoint new

#### Declaration [src]

    GUPnPControlPoint*
    gupnp_control_point_new (
      GUPnPContext* context,
      const char* target
    )

#### Description [src]

Create a new `GUPnPControlPoint` with the specified `context` and `target`.

`target` should be a service or device name, such as `urn:schemas-upnp-org:service:WANIPConnection:1` or `urn:schemas-upnp-org:device:MediaRenderer:1`.

#### Parameters

`context` | `GUPnPContext`
| A `GUPnPContext`.
| The data is owned by the caller of the function.
`target` | `const char*`
| The search target.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GUPnPControlPoint`
| A new `GUPnPControlPoint` object.
| The caller of the function takes ownership of the data, and is responsible for freeing it.